import { SxProps, Theme } from '@mui/material';
export type ArrowPosition = 'top' | 'bottom' | 'left' | 'right';
export type xPosition = 'left' | 'right' | 'center';
export type yPosition = 'top' | 'bottom' | 'center';
export interface ShowTooltipArgs<T> {
    tooltipData: T;
    tooltipLeft?: number;
    tooltipTop?: number;
}
export interface TooltipParams<T> {
    tooltipOpen: boolean;
    tooltipLeft?: number;
    tooltipTop?: number;
    tooltipData?: T;
    showTooltip: (args: ShowTooltipArgs<T>) => void;
    hideTooltip: () => void;
    arrowPosition?: ArrowPosition | undefined;
    xPosition?: xPosition;
    yPosition?: yPosition;
    unitMeasurement?: string;
}
export type GraphTooltipData = {
    data: {
        label?: string;
        value?: string | number;
    }[];
    graphProps?: GraphTooltipPositionProps;
};
export interface GraphTooltipPositionProps {
    arrowPosition?: ArrowPosition;
    xPosition?: xPosition;
    yPosition?: yPosition;
    width?: number | 'auto';
    height?: number | 'auto';
    top?: number;
    left?: number;
    right?: number;
    unitMeasurement?: string;
    sx?: SxProps<Theme>;
}
interface GraphTooltipProps extends GraphTooltipPositionProps {
    rows: {
        label?: string;
        value?: string | number;
    }[];
    className?: string;
    open?: boolean;
}
export declare const GraphTooltip: ({ className, sx, rows, unitMeasurement, top, left, right, width, height, arrowPosition, xPosition, yPosition, open, }: GraphTooltipProps) => import("react/jsx-runtime").JSX.Element | null;
export {};
